module.exports = {
  parserOptions: {
    ecmaFeatures: {
      jsx: true,
    }
  },
  rules: {
    /**
     * @description rules of eslint-plugin-react
     */
    'react/jsx-filename-extension': [
      'warn',
      {
        extensions: ['.jsx', '.tsx']
      }
    ], // also want to use with ".tsx"
    'react/prop-types': 'off', // Is this incompatible with TS props type?
    /**
    * @description rules of eslint-plugin-react-hooks
    */
    'react-hooks/rules-of-hooks': 'error',
    'react-hooks/exhaustive-deps': 'off' // Hooks doesn't have to have dependencies
  }
}
